
from __future__ import absolute_import
from __future__ import division

from contextlib import contextmanager


@contextmanager
def suppress(*exceptions):
    """Python >= 3.4 suppress context manager.

    """
    try:
        yield
    except exceptions:
        pass
